cascading.provider

## Class ServiceLoader

- java.lang.Object
- - cascading.provider.ProviderLoader<CascadingService>
  - - cascading.provider.ServiceLoader

-     public class ServiceLoader
      extends ProviderLoader<CascadingService>

  Class ServiceLoader is an implementation of a `ProviderLoader` and is used to load `CascadingService` instances used by internal frameworks.
  See Also:
    `CascadingService`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceLoader` | `getInstance(java.net.URL libraryURL, java.lang.String[] exclusions)`
    `CascadingService` | `loadServiceFrom(java.util.Properties defaultProperties, java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String property)`
    `CascadingService` | `loadSingletonServiceFrom(java.util.Properties defaultProperties, java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String property)`
    `static void` | `releaseSingletonsAndDestroy()`
    `java.util.Collection<CascadingService>` | `releaseSingletonServices()`

    - ### Methods inherited from class cascading.provider.ProviderLoader

      `createProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ServiceLoader getInstance(java.net.URL libraryURL,
                                  java.lang.String[] exclusions)

    - #### releaseSingletonsAndDestroy

          public static void releaseSingletonsAndDestroy()

    - #### loadSingletonServiceFrom

          public CascadingService loadSingletonServiceFrom(java.util.Properties defaultProperties,
                                                  java.util.Map<java.lang.Object,java.lang.Object> properties,
                                                  java.lang.String property)

    - #### releaseSingletonServices

          public java.util.Collection<CascadingService> releaseSingletonServices()

    - #### loadServiceFrom

          public CascadingService loadServiceFrom(java.util.Properties defaultProperties,
                                         java.util.Map<java.lang.Object,java.lang.Object> properties,
                                         java.lang.String property)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.